local SPELL_REBUKE = "Rebuke"
local SPELL_WORD_OF_GLORY = "Word of Glory"
local SPELL_SHIELD_OF_THE_RIGHTEOUS = "Shield of the Righteous"
local SPELL_HAMMER_OF_THE_RIGHTEOUS = "Hammer of the Righteous"
local SPELL_CRUSADER_STRIKE = "Crusader Strike"
local SPELL_JUDGMENT = "Judgment"
local SPELL_AVENGERS_SHIELD = "Avenger's Shield"
local SPELL_SACRED_SHIELD = "Sacred Shield"
local SPELL_SEAL_OF_RIGHTEOUSNESS = "Seal of Righteousness"
local SPELL_SEAL_OF_TRUTH = "Seal of Truth"
local SPELL_LIGHTS_HAMMER = "Light's Hammer"
local SPELL_CONSECRATION = "Consecration"
local SPELL_HOLY_WRATH = "Holy Wrath"
local SPELL_HOLY_PRISM = "Holy Prism"
local SPELL_EXECUTION_SENTENCE = "Execution Sentence"
local SPELL_RIGHTEOUS_FURY = "Righteous Fury"

local BUFF_BASTION_OF_GLORY = "Bastion of Glory"
local BUFF_GRAND_CRUSADER = "Grand Crusader"

local BUFF_BLESSING_OF_MIGHT = "Blessing of Might"
local BUFF_GRACE_OF_AIR = "Grace of Air"
local BUFF_ROAR_OF_COURAGE = "Roar of Courage"
local BUFF_SPIRIT_BEAST_BLESSING = "Spirit Beast Blessing"

local BUFF_BLESSING_OF_KINGS = "Blessing of Kings"
local BUFF_MARK_OF_THE_WILD = "Mark of the Wild"
local BUFF_LEGACY_OF_THE_EMPEROR = "Legacy of the Emperor"
local BUFF_EMBRACE_OF_THE_SHALE_SPIDER = "Embrace of the Shale Spider"

local DEBUFF_WEAKENED_BLOWS = "Weakened Blows"

WhatsNext.defaultCastSequences["PALADIN"][2] = {{
		spell=SPELL_REBUKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Target Is Interruptable',['invert']=false,},
		}
	},{
		spell=SPELL_WORD_OF_GLORY,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='3',},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.3',},
		}
	},{
		spell=SPELL_WORD_OF_GLORY,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='5',},
			{['type']='Player Buffed',['count']='5',['buffName']=BUFF_BASTION_OF_GLORY,['invert']=false,},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.5',},
		}
	},{
		spell=SPELL_SHIELD_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Holy Power',['invert']=false,['amount']='5',},
		}
	},{
		spell=SPELL_HAMMER_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Target Need Debuff',['debuffName']=DEBUFF_WEAKENED_BLOWS,['count']='1',['invert']=false,['time']='3',},
		}
	},{
		spell=SPELL_HAMMER_OF_THE_RIGHTEOUS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
		}
	},{
		spell=SPELL_CRUSADER_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_JUDGMENT,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_AVENGERS_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Player Buffed',['count']='1',['buffName']=BUFF_GRAND_CRUSADER,['invert']=false,},
		}
	},{
		spell=SPELL_CONSECRATION,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
		}
	},{
		spell=SPELL_AVENGERS_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_SACRED_SHIELD,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Player Need Buff From Player',['count']='1',['buffName']=SPELL_SACRED_SHIELD,['invert']=false,['time']='2',},
		}
	},{
		spell=SPELL_SEAL_OF_RIGHTEOUSNESS,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='4',},
			{['type']='Seal',['invert']=true,['seal']=SPELL_SEAL_OF_RIGHTEOUSNESS,},
		}
	},{
		spell=SPELL_SEAL_OF_TRUTH,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Maximum Enemy Count',['invert']=false,['amount']='3',},
			{['type']='Seal',['invert']=true,['seal']=SPELL_SEAL_OF_TRUTH,},
		}
	},{
		spell=SPELL_LIGHTS_HAMMER,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_EXECUTION_SENTENCE,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_HOLY_PRISM,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_CONSECRATION,
		checks={
			{['type']='In Combat',['invert']=false,},
		}
	},{
		spell=SPELL_HOLY_WRATH,
		checks={
			{['type']='In Combat',['invert']=false,},
		}	
	},{
		spell=BUFF_BLESSING_OF_MIGHT,
		checks={
			{ type = "Player Buffed By Player", buffName = BUFF_BLESSING_OF_KINGS, count = 1, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_BLESSING_OF_MIGHT, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_GRACE_OF_AIR, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_ROAR_OF_COURAGE, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_SPIRIT_BEAST_BLESSING, yards = 60, invert = true},
		}	
	},{
		spell=BUFF_BLESSING_OF_KINGS,
		checks={
			{ type = "Player Buffed By Player", buffName = BUFF_BLESSING_OF_MIGHT, count = 1, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_BLESSING_OF_KINGS, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_MARK_OF_THE_WILD, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_LEGACY_OF_THE_EMPEROR, yards = 60, invert = true},
			{ type = "Raid Buffed", buffName = BUFF_EMBRACE_OF_THE_SHALE_SPIDER, yards = 60, invert = true},
		}	
	},{
		spell=SPELL_RIGHTEOUS_FURY,
		checks={
			{ type = "Player Buffed By Player", buffName = SPELL_RIGHTEOUS_FURY, count = 1, invert = true},
		}
	}
}